#!/bin/bash

function menu () {
  BAD="Nezd 'restore --help'"
  case "$1" in
    --help)
      show_help
      exit 0
      ;;
    -v)
      echo "Version: 1.0"
      echo "$(date +'%Y') @ minden jog fenntartva"
      exit 0
      ;;
    -s)
      echo "Adj meg egy datumot"
      echo "${BAD}"
      ;;
    -e)
      echo "Adj meg egy datumot"
      echo "${BAD}"
      ;;
    *)
      echo "Rossz parameter"
      echo "${BAD}"
      ;;
  esac
}

function show_help () {
  echo "Hasznalat:  restore [OPCIOK] DATUM"
  echo -e 
  echo "Ha csak a '-s 2020-03-17' parametert adod meg, akkor csak egy napot allit vissza."
  echo -e
  echo "Opciok"
  echo "  -s      Kezdo datum, Pelda: 2020-03-17"
  echo "  -e      Veg datum, Pelda: 2020-03-17"
}

function restore () {
DIR=/mnt/nfs_clientshare/{{hostname}}
  SRC=fs://$DIR/$1
  STORAGEDATAPATH='/home/ubuntu/victoria/data/vmdata'
    

  docker-compose -f /home/ubuntu/victoria/docker-compose.yml down
  sleep 5
sudo docker run --rm -it -v $DIR:$DIR -v ${STORAGEDATAPATH}:/victoria-metrics-data victoriametrics/vmrestore -loggerLevel=INFO -src=${SRC} -storageDataPath=/victoria-metrics-data  #-skipBackupCompleteCheck
 
 docker-compose -f /home/ubuntu/victoria/docker-compose.yml up -d
  

# Datum teszteles
#echo $1

#echo $SRC
}

  if [ $# == 1 ]; then
    menu "$1"
  elif [ $# == 2 ]; then
    restore "$2"
  elif [ $# == 3 ]; then
    menu "$3"
  elif [ $# == 4 ]; then
    START=$(date -d "$2" +"%s")
    END=$(date -d "$4" +"%s")
    for (( i=${START}; i<=${END}; i+=86400 )); do 
      restore "$(date -d @${i} +%F)"
    done
  else
    echo "Rossz parameter"
  fi
